class AddressesController < ApplicationController

  def search
    respond_to do |format|
      format.json do
        if params[:q]
          query = AddressGeocoder::Request.query( params[:q] )
          results = AddressGeocoder::Request.search( query )
        else
          query = AddressGeocoder::Request.query( params.permit(:street,:number,:city,:region,:zip,:country)  )
          results = AddressGeocoder::Request.search( query )
        end
        results.select!(&:is_precise?) if params.has_key?(:precise)
        if results.any?
          address = Address.create_from_geocoder_result(results.pop)
          render :json => {
              address: {
                street: address.street,
                number: address.number,
                city: address.city,
                region: address.region,
                zip: address.zip,
                country: address.country
              },
              formatted_address:  address.to_s,
              search_string: query.text,
              valid: true
          }
        else
          render :json => {
              search_string: query.text,
              valid: false
          }
        end
      end
    end
  end


end
