class ClientDuplicateRequestsController < ApplicationController

  def show
    @client_duplicate_request = ClientDuplicateRequest.where(id: params[:id]).take!
    authorize!(:read, @client_duplicate_request.requesting_institution)
    @client_duplicate_response_grid = ClientDuplicateResponseGrid.new(params[:client_duplicate_response_grid]) do |scope|
      scope.page(params[:page]).per(25).where(client_duplicate_request_id: @client_duplicate_request.id)
    end
    add_breadcrumb "Duplikatsauflösung", client_duplicate_request_path(@client_duplicate_request)
  end


  def destroy
    @client_duplicate_request = ClientDuplicateRequest.where(id: params[:id]).take!
    authorize!(:update, @client_duplicate_request.requesting_institution)
    respond_to do |format|
      if @client_duplicate_request.destroy
        format.html { redirect_to :root, success: 'Der Duplikatsfall wurde verworfen.' }
      else
        format.html { redirect_to :root, danger: 'Der Duplikatsfall konnte nicht verworfen werden.'}
      end
    end
  end

end
