class QuestionnaireResultsController < ApplicationController

  def index
    respond_to do |format|
      format.js {
        @load_into = params["load_into"]
        @questionnaire = Questionnaire.where(id: _get_questionnaire_id(params)).take
        if @questionnaire.present?
          @select_parameter_name = _get_questionnaire_result_name(params)

          @result_options ={}
          if  @questionnaire.questionnaire_results.reject{|q| q.result.nil? }.any?
            @questionnaire.questionnaire_results.reject{|q| q.result.nil? }.sort_by(&:result).reverse.group_by(&:result).each do |r,qs|
              qs.each do |q|
                unless @result_options[ @questionnaire.result_texts[ r ] ]
                  @result_options[ @questionnaire.result_texts[ r ] ] = [ ]
                end
                @result_options[ @questionnaire.result_texts[ r ] ] << [ "#{q.question.name}" , q.id ]
              end
            end
          end
        end
      }
    end
  end

  def drc
    respond_to do |format|
      format.js {
        @load_into = params["load_into"]
        @questionnaire_result = QuestionnaireResult.where(id: _get_questionnaire_result_id(params)).take
        if @questionnaire_result.present?
          @select_parameter_name = _get_drc_items_name(params)
          @drc_item_options = @questionnaire_result.question.drc_items.map{|di| [di.name,di.id]}
        end
      }
    end
  end

  private
  def _get_questionnaire_id(params)
    # EX: {"portfolio_item"=>{"portfolio_dbrcs_attributes"=>{"8"=>{"questionnaire_id"=>"20"}}}, "controller"=>"questionnaire_results", "action"=>"index"}
    if params["portfolio_item"].present?
      if params["portfolio_item"]["portfolio_dbrcs_attributes"].present?
        if params["portfolio_item"]["portfolio_dbrcs_attributes"].respond_to?(:values)
          _f = params["portfolio_item"]["portfolio_dbrcs_attributes"].values.first
          if _f.is_a? Hash
            return _f["questionnaire_id"]
          end
        end
      end
    end
    return nil
  end

  def _get_questionnaire_result_id(params)
    if params["portfolio_item"].present?
      if params["portfolio_item"]["portfolio_dbrcs_attributes"].present?
        if params["portfolio_item"]["portfolio_dbrcs_attributes"].respond_to?(:values)
          _f = params["portfolio_item"]["portfolio_dbrcs_attributes"].values.first
          if _f.is_a? Hash
            return _f["questionnaire_result_id"]
          end
        end
      end
    end
    return nil
  end

  def _get_questionnaire_result_name(params)
    if params["portfolio_item"].present?
      if params["portfolio_item"]["portfolio_dbrcs_attributes"].present?
        _index = params["portfolio_item"]["portfolio_dbrcs_attributes"].keys.first
      end
    end
    "portfolio_item[portfolio_dbrcs_attributes][#{_index}][questionnaire_result_id]"
  end

  def _get_drc_items_name(params)
    if params["portfolio_item"].present?
      if params["portfolio_item"]["portfolio_dbrcs_attributes"].present?
        _index = params["portfolio_item"]["portfolio_dbrcs_attributes"].keys.first
      end
    end
    "portfolio_item[portfolio_dbrcs_attributes][#{_index}][target_agreement_attributes][drc_item_id]"
  end

end
