class InstitutionDocumentsGrid < BaseGrid

  scope do
    InstitutionDocument.all
  end

  filter(:file, :string, header: "Name") do |value|
    self.where(["institution_documents.file ILIKE ? OR institution_documents.description ILIKE ?",  "%#{value}%",  "%#{value}%"])
  end

  column(:file, header: "Datei", order: 'file') do |i|
    if !i.is_folder?
      format(i.file) do |file|
        if i.description.present?
          link_to(("<i class=\"glyphicon glyphicon-paperclip\"></i> " + file.identifier_fix + " ( #{i.description} ) ").html_safe,file.url).html_safe
        else
          link_to(("<i class=\"glyphicon glyphicon-paperclip\"></i> " + file.identifier_fix ).html_safe,file.url)
        end
      end
    else
      format(i.description) do |description|
        if i.step_type_description.present?
          link_to(("<i class=\"glyphicon glyphicon-folder-close\"></i>  #{description} (#{i.step_type_description}) ").html_safe,institution_document_path(i)).html_safe
        else
          link_to(("<i class=\"glyphicon glyphicon-folder-close\"></i>  #{description}  ").html_safe,institution_document_path(i)).html_safe
        end

      end
    end
  end
  column(:author, header: "erstellt von") do |i|
    i.author.full_name
  end
  column(:created_at,  header: 'Erstellt', order: 'created_at' ) do |i|
    format(i.created_at) do |created_at|
      l created_at, format: :short
    end
  end
  
  column(:actions, header: '',  :html => true) do |i|
    _wrp = 0
    delete_button = ""
    update_button = ""
    if can?(:destroy,i)
      _wrp += 1
      delete_button = " #{ link_to  institution_document_path(i), data: {:confirm => 'Sicher?'},
                                    role: 'button', class: 'btn btn-danger', :method => :delete do
        content_tag(:i, nil, class: 'glyphicon glyphicon-remove')
      end }"
    end
    if can?(:update,i) && i.is_folder?
      _wrp += 1
      update_button = " #{ link_to  edit_institution_document_path(i),
                                    role: 'button', class: 'btn btn-success' do
        content_tag(:i, nil, class: 'glyphicon glyphicon-pencil')
      end }"
    end
    "<div class='btn-group btn-group-nowrap-#{_wrp} btn-group-xs  pull-right' >
      #{delete_button}
      #{update_button}
     </div>".html_safe
  end

end