class InstitutionGrid < BaseGrid

  scope do
    Institution.joins(:institution_category)
  end

  filter(:name, :string) do |value|
    self.where(["institutions.name ILIKE ?",  "%#{value}%"])
  end

  column(:name, header: "Name")  do |i|
    format(i.name) do |name|
      link_to name, i
    end
  end
  
  column(:email, header: "Email")
  
  column(:phone, header: "Telefon")
  
  column(:category,  order: 'institution_categories.name', header: 'Art',group_header_collapse: 'in', group_header: Proc.new {|i| i.institution_category ? "Schulform #{i.institution_category.name}" : "Keine Schulform" }) do |i|
    i.institution_category.name
  end
  
  column(:actions, header: '',  :html => true) do |i|
    _wrp = 0
    delete_button = ""
    update_button = ""
      _wrp += 1
      read_button = "<a href='#{institution_path(i)}' role='button' class='btn btn-success'>
            <i class='glyphicon glyphicon-eye-open'></i>
          </a>"
    if can?(:update,i)
      _wrp += 1
      update_button = " <a href='#{edit_institution_path(i)}' role='button' class='btn btn-success btn-sm'>
            <i class='glyphicon glyphicon-pencil'></i>
          </a>"
    end
    if can?(:destroy,i)
      _wrp += 1
      delete_button = " #{ link_to  institution_path(i), data: {:confirm => 'Sicher?'},
                                    role: 'button', class: 'btn btn-danger', :method => :delete do
        content_tag(:i, nil, class: 'glyphicon glyphicon-remove')
      end }"
    end
    "<div class='btn-group btn-group-nowrap-#{_wrp} btn-group-xs  pull-right' >
         #{update_button}
    #{read_button}
    #{delete_button}
      </div>".html_safe

  end

end