class UserMessageGrid < BaseGrid

  scope do
    UserMessage.all
  end

  filter(:content, :string, header: 'Inhalt') do |value|
    self.where(["user_messages.content ILIKE ? OR user_messages.subject_text ILIKE ?",  "%#{value}%","%#{value}%"])
  end
  filter(:prio, :enum, include_blank: 'Priorität', :select => [['niedrig',UserMessage::PRIO_LOW],['mittel',UserMessage::PRIO_MED], ['hoch',UserMessage::PRIO_HI]] )
  filter(:message_box, :enum, include_blank: 'Alle Nachrichten', :select => [['Nur Neue',UserMessage::BOX_NEW]] )

  # Here, the columns are solely for sorting purpose
  column(:date, header: 'Datum', order: 'created_at')
  column(:prio, header: 'Priorität', order: 'prio')

end