module CareerItemsHelper

  def show_career_item_change_text(career_item)
    _cg   = "#{show_client_group(career_item.client_group)}".html_safe  if career_item.client_group_id.present?
    _cg ||= "#{career_item.client_group_name}".html_safe   if career_item.client_group_name.present?
    _in   = "#{show_institution(career_item.institution)}" if career_item.institution.present?
    _in ||= "#{career_item.institution_name}".html_safe   if career_item.institution_name.present?
    _te   = "#{show_teacher(career_item.teacher)}".html_safe  if career_item.teacher_id.present?
    _te ||= "#{career_item.teacher_name}".html_safe  if career_item.teacher_name.present?
    _pl   = "#{career_item.portfolio_level}".html_safe
    if career_item.change_type == CareerItem::CHANGE_TYPE_CLIENT_GROUP
      if _cg
        return "Besucht jetzt Klasse #{_cg}.".html_safe
      else
        return "Jetzt ohne Klasse".html_safe
      end
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_INSTITUTION
      if _in
        return "Wechsel nach #{_in}.".html_safe
      else
        return "Jetzt ohne Einrichtung".html_safe
      end
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_LEVEL
      return "Neue Förderstufe #{_pl}".html_safe
    end
    if career_item.change_type == CareerItem::CHANGE_TYPE_TEACHER
      if _te
        return "Jetzt Förderung durch #{_te}. ".html_safe
      else
        return "Jetzt ohne Förderung. ".html_safe
      end
    end
  end

  def show_career_item_duration(career_item)
    duration = l(career_item.start_at, format: :long) + " - "
    if career_item.end_at
      duration += l(career_item.end_at, format: :long)
    else
      duration += "heute"
    end
    duration
  end

end
