module FormHelper
  def self.included(base)
    ActionView::Helpers::FormBuilder.instance_eval do
      include FormBuilderMethods
    end
  end

  module FormBuilderMethods
    def datepicker_field(method,options = {})
      @template.datepicker_field("#{@object_name}[#{method}]", @object.send(method), options )
    end
  end

  def datepicker_field(name,value,options = {})
    datepicker_options = options.delete(:datepicker)
    datepicker_options = {} if datepicker_options.blank?
    content_tag(:div, datepicker_options.merge( {class: %w( input-group datepicker)} ) ) do
      content_tag(:span, class: %w( input-group-addon ) ) do
        content_tag(:i,nil, class: %w( glyphicon glyphicon-calendar ) )
      end +
      content_tag(:input, nil, options.merge( { class: %w( form-control ) } ){|k,o,v| (o.is_a?(String) ? o.split(/\s+/) : o )+(v.is_a?(String) ? v.split(/\s+/) : v ) if k==:class } ) +
      hidden_field_tag(name,value,class: %w( control-label ))
    end
  end
end