class FinishClientDuplicateDetectionRequestJob < ActiveJob::Base
  queue_as :default

  rescue_from ActiveJob::DeserializationError do |e|
    message = "\e[31m\e[1m#{e.message}\e[22m\e[0m" # make read and bold
    Rails.logger.error(message)
  end

  def perform(*client_duplicate_detection_requests)
    client_duplicate_detection_requests.each do |client_duplicate_detection_request|
      begin
        client_duplicate_detection_request.destroy
        Rails.logger.info("Finished: client_duplicate_detection_request.id=#{client_duplicate_detection_request.id}")
      rescue StandardError => e
        message = "\e[31m\e[1m#{e.message}\e[22m\e[0m" # make read and bold
        Rails.logger.error message
      end
    end
  end



end
