module Portfolio
  module Conditions
    class QuestionnaireMatcher < ItemMatcher

        attr_accessor :type

        def initialize
          @type = nil
        end

        def match?(portfolio_item)
          unless portfolio_item.questionnaires.any?
            return false
          end
          portfolio_item.questionnaires.map{|cl| cl.class.name.demodulize.underscore}.include?(@type.underscore)
        end

        def description
          "Der Eintrag sollte einen Fragebogen vom Typ #{@type} umfassen"
        end
    end
  end
end
