module Portfolio
  class DiagnosticInformalResultSupporter < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_diagnostic_informal_result_supporters'
    self.inheritance_column = nil

    belongs_to :diagnostic_informal_result,
             foreign_key: :portfolio_item_diagnostic_informal_result_id,
             class_name: '::Portfolio::DiagnosticInformalResult',
             inverse_of: :portfolio_diagnostic_informal_result_supporters

    belongs_to :supporter,
               foreign_key: :supporter_id,
               inverse_of: :portfolio_item_diagnostic_informal_result_supporters,
               class_name: '::Supporter'

    validates_uniqueness_of :portfolio_item_diagnostic_informal_result_id, :scope => :supporter_id
    validates :diagnostic_informal_result, :supporter, presence: true


  end
end

