# Association between portfolio_items and diagnostics
#
# On create, the diagnostics should be set using the catalog_id ( the unique key used by csb api )
# When the catalog id is used, locally missing diagnostics are fetched from csb server to be saved locally
module Portfolio
  class ItemMeasurement < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_measurements'
    self.inheritance_column = nil

    belongs_to :portfolio_item,
               foreign_key: :portfolio_item_id,
               class_name: '::Portfolio::Item',
               inverse_of: :measurements
    delegate :portfolio_subject, to: :portfolio_item

    validates_presence_of :portfolio_item
    validates :begin, presence: true
    validates :begin, date: true
    validates :begin, chronological_order: {fields: ['portfolio_item.start',:begin]}
    validates :content, length: { minimum: 10 }

  end
end

