module SystemTasks
  class BorrowDiagnostic < Base

    def _escalations
      [
          {
              Escalator::SendUserMessage => [target.portfolio_item.author,target.portfolio_item.editor]
          },
          {
              Escalator::SendUserMessage => target.portfolio_item.involved_teachers + target.portfolio_item.evaluable_target_agreements.inject([]) do |memo,i|
                memo + i.evaluation.involved_teachers
              end
          }
      ]
    end

    def is_manual_confirmable?
      true
    end

    class << self
      def subscribe_to
        [
            {
                klass: 'portfolio/item_diagnostic',
                callback: 'after_create',
                handler: 'portfolio_item_diagnostic_after_create'
            }

        ]
      end
      def portfolio_item_diagnostic_after_create(portfolio_item_diagnostic)
        create({
             target: portfolio_item_diagnostic,
             client: (portfolio_item_diagnostic.portfolio.subject.is_a? Client) ? portfolio_item_diagnostic.portfolio.subject : nil,
             institution: (portfolio_item_diagnostic.portfolio.subject.is_a? ClientGroup) ? portfolio_item_diagnostic.portfolio.subject_proxy.institution : nil,
             start_at: DateTime.now,
             label: portfolio_item_diagnostic.portfolio.subject_proxy.name,
             title:  "Diagnostik #{portfolio_item_diagnostic.diagnostic.title} ausleihen?",
             message: "Die Diagnostik #{portfolio_item_diagnostic.diagnostic.title} für den Eintrag vom #{I18n::l(portfolio_item_diagnostic.portfolio_item.start,format: :short)} für #{portfolio_item_diagnostic.portfolio.subject_proxy.name} kann ausgeliehen werden.",
             due_at: portfolio_item_diagnostic.begin,
             next_escalation: DateTime.now,
             escalation_delay: 86400,
             resolve_location: Rails.application.routes.url_helpers.diagnostic_path(catalog_id: portfolio_item_diagnostic.catalog_id),
         })
      end

    end

  end
end