module SystemTasks
  module PortfolioRuleNotifications
    class RuleDescription < PortfolioRuleNotifications::Base

      def _escalations
        if target.subject.is_a? Client
          return  [
              {
                  Escalator::SendUserMessage => [target.subject.try(:teacher),target.subject.try(:client_group).try(:teacher)]
              },
              {
                  Escalator::SendUserMessage => target.subject.institution.teacher_institution_relations.where(is_school_admin:true).all.map(&:teacher)
              }
          ]
        end
        if target.subject.is_a? ClientGroup
          return  [
              {
                  Escalator::SendUserMessage => [target.subject.try(:teacher)]
              },
              {
                  Escalator::SendUserMessage => target.subject.institution.teacher_institution_relations.where(is_school_admin:true).all.map(&:teacher)
              }
          ]
        end
      end

      class << self
        def do_create(notifier)
          create({
              target: notifier.portfolio,
              client: (notifier.portfolio.subject.is_a? Client) ? notifier.portfolio.subject : nil,
              institution: (notifier.portfolio.subject.is_a? ClientGroup) ? notifier.portfolio.subject_proxy.institution : nil,
              label: notifier.portfolio.subject_proxy.name,
              title:   "Massnahmen für #{ notifier.portfolio.subject_proxy.name}.",
              message:    notifier.rule.description,
              start_at:  DateTime.now,
              due_at:   DateTime.now,
              next_escalation:  DateTime.now,
              escalation_delay: 86400 * 14,
              resolve_location: notifier.portfolio.subject_proxy.resolve_notifications_path
          })
        end
      end

    end
  end
end