Rails.application.configure do
  config.cache_classes = true
  config.eager_load = true
  config.consider_all_requests_local       = false
  config.action_controller.perform_caching = true
  config.serve_static_files = true
  config.assets.js_compressor = :uglifier
  config.assets.compile = false
  config.assets.digest = true
  config.log_level = :warn
  config.i18n.fallbacks = true
  config.active_support.deprecation = :silence
  config.log_formatter = ::Logger::Formatter.new
  config.active_record.dump_schema_after_migration = false
  config.action_mailer.delivery_method = (ENV['MAILER_DELIVERY_METHOD'] ? ENV['MAILER_DELIVERY_METHOD'].to_sym : :sendmail)
  config.action_mailer.raise_delivery_errors = true
  config.action_mailer.perform_deliveries = true
  config.action_mailer.default_url_options = { :host => ENV['VSB_DOMAIN'] }
  config.mailer_sender = ENV['MAILER_FROM']
  config.action_mailer.default_options = {
      from: ENV['MAILER_FROM'],
      reply_to: ENV['MAILER_REPLY_TO']
  }
  config.action_mailer.smtp_settings = {
      address:              ENV['MAILER_SMTP_ADDRESS'],
      port:                 ENV['MAILER_SMTP_PORT'],
      domain:               ENV['MAILER_SMTP_DOMAIN'],
      user_name:            ENV['MAILER_SMTP_USER_NAME'],
      password:             ENV['MAILER_SMTP_PASSWORD'],
      authentication:       ENV['MAILER_SMTP_AUTHENTICATION'],
      enable_starttls_auto: ENV['MAILER_SMTP_ENABLE_STARTTLS_AUTO']
  }
  config.action_mailer.sendmail_settings = {
      location:             ENV['MAILER_SENDMAIL_LOCATION'],
      arguments:            ENV['MAILER_SENDMAIL_ARGUMENTS']
  }
end
