class CreateDiagnostics < ActiveRecord::Migration
  def change

    create_table :diag_norm_scales do |t|
      t.string :name
      t.float :range_from
      t.float :range_to
      t.timestamps null: false
    end

    create_table :diag_norm_scale_diagnostics do |t|
      t.belongs_to :diag_norm_scale
      t.belongs_to :diagnostic
      t.float :cut_off_low
      t.float :cut_off_sub_avg
      t.float :cut_off_above_avg
      t.float :cut_off_high
      t.timestamps null: false
    end

    create_table :diag_characteristics do |t|
      t.string :name
      t.timestamps null: false
    end

    create_table :diagnostic_diag_characteristics do |t|
      t.belongs_to :diag_characteristic
      t.belongs_to :diagnostic
      t.boolean :is_positive
      t.timestamps null: false
    end

    create_table :diag_ranges do |t|
      t.string :name
      t.timestamps null: false
    end

    create_table :diagnostic_diag_ranges do |t|
      t.belongs_to :diag_range
      t.belongs_to :diagnostic
      t.timestamps null: false
    end

    create_table :diagnostics do |t|
      t.string :name
      t.string :abbreviation
      t.integer :min_level
      t.integer :max_level
      t.timestamps null: false
    end

    create_table :portfolio_item_diagnostic_results do |t|
      t.belongs_to :portfolio_item_diagnostic
      t.belongs_to :diag_characteristic
      t.belongs_to :diag_norm_scale
      t.float :raw_result
      t.float :scaled_result
    end

    create_table :portfolio_item_diagnostics do |t|
      t.belongs_to :portfolio_item
      t.belongs_to :diagnostic
      t.date :begin
      t.text :content
      t.timestamps null: false
    end

    # create_table :diagnostic_norm_scales do |t|
    #   t.string :name
    #   t.float :max
    #   t.float :min
    #   t.float :std_dev
    #   t.float :avg
    #   t.timestamps null: false
    # end
    #
    # create_table :diagnostics do |t|
    #   t.string :name
    #   t.string :abbreviation
    #   t.integer :min_level
    #   t.integer :max_level
    #   t.timestamps null: false
    # end
    #
    # create_table :diagnostic_characteristics do |t|
    #   t.belongs_to :diagnostic
    #   t.string :name
    #   t.boolean :is_positive
    #   t.timestamps null: false
    # end
    #
    # create_table :diagnostic_characteristic_scales do |t|
    #   t.belongs_to :diagnostic_norm_scale
    #   t.belongs_to :diagnostic_characteristic
    #   t.float :cut_off_low
    #   t.float :cut_off_sub_avg
    #   t.float :cut_off_above_avg
    #   t.float :cut_off_high
    #   t.timestamps null: false
    # end
    #
    # create_table :diagnostic_ranges do |t|
    #   t.integer :range_enum
    #   t.belongs_to :diagnostic
    #   t.timestamps null: false
    # end
    #
    # create_table :portfolio_item_diagnostic_results do |t|
    #   t.belongs_to :portfolio_item_diagnostic
    #   t.belongs_to :diagnostic_characteristic
    #   t.belongs_to :diagnostic_norm_scale
    #   t.float :raw_result
    #   t.float :scaled_result
    # end
    #
    # create_table :portfolio_item_diagnostics do |t|
    #   t.belongs_to :portfolio_item
    #   t.belongs_to :diagnostic
    #   t.date :begin
    #   t.text :content
    #   t.timestamps null: false
    # end

  end
end
