class CreateClientCreateRequest < ActiveRecord::Migration
  def change


    create_table :client_duplicate_requests do |t|
      t.string :first_name, null: false
      t.string :last_name, null: false
      t.date :bday, null: false
      t.string :gender, null: false
      t.text :request, null: false # complete POST request (create client)
      t.integer :result_code, null: false, default: 0
      t.integer :retry_count, null: false, default: 0
      t.integer :client_duplicate_responses_count, null: false, default: 0 # counter cache column
      t.integer :announced_client_duplicate_responses_count, default: nil # csb sets this colum when all queries for this request have either failed or completed
      t.timestamps null: false
    end

    # csb will write duplicates here
    create_table :client_duplicate_responses do |t|
      t.belongs_to :client_duplicate_request,  index: {name: 'idx_cdres_on_cdreq_id'}, foreign_key: true
      t.string :vsb_id,  index: {name: 'idx_cdres_on_v_id'}, null: false # the vsb that holds the (possible) duplicate
      t.string :first_name, null: false
      t.string :last_name, null: false
      t.date :bday, null: false
      t.string :gender, null: false
      t.string :institution_name, null: true
      t.string :client_group_name, null: true
      t.string :duplicate_type, null:false
      t.integer :client_id, null: true #  this is the client_id on the vsb that holds the duplicate
    end

    change_table(:system_settings) do |t|
      t.string :vsb_id,  index: {name: 'idx_syse_on_v_id'}
    end


  end
end
