class AddDbrTables < ActiveRecord::Migration
  def change
    create_table :portfolio_item_evaluation_dbrs do |t|
      # t.integer :interval_partitioning # enum (A, BA, BABA )
      # - Überlappungsindex ( nullable ) noch nicht benötigt
      # - Effektstärke des Überlappungsindex, ab der die Ergebnisse als Aussagekräftig betrachtet werden. noch nicht benötigt
      t.float :range_begin # Wertebereich
      t.float :range_end # Wertebereich
      t.string :setting_social #- Setting (Social)
      t.string :setting_time #- Setting (time)
      t.integer :number_of_data_points # - Anzahl Datenpunkte
    end

    create_table :portfolio_item_evaluation_dbr_characteristics do |t|
      t.references :portfolio_item_evaluation_dbr
      t.string :name #  Name des Merkmals
      t.boolean :increase_is_positive # - Trendbewertung ( ist steigend wirklich positiv? )
    end


    create_table :portfolio_item_evaluation_dbr_results do |t|
      t.references :portfolio_item_evaluation_dbr
      t.references :portfolio_item_evaluation_dbr_characteristic
      #t.references :evaluative, polymorphic: true   # removed for now
      t.datetime :time # Zeitpunkt, x-Achse
      t.float :value # Wert, y-Achse
    end

    add_reference :portfolio_item_evaluations, :portfolio_item_evaluation_dbr

  end
end
