class AddUqCstrToTchrInstRel < ActiveRecord::Migration
  def change
    # first ensure that there are no duplicates by deleting all duplicated rows except the first.
    execute <<-SQL
      DELETE FROM teacher_institution_relations where id = ANY(
        (select (array_agg(id))[2:2147483647]
        from teacher_institution_relations
        group by teacher_id,institution_id having count(*) > 1)::INT[]
      )
    SQL
    add_index(:teacher_institution_relations, [:institution_id, :teacher_id],  name: "idx_tir_on_institution_id_and_teacher_id", unique: true)
  end
end
